Bug 1728266 - qscintilla fails to build in Fedora 31 (rawhide)
Summary: qscintilla fails to build in Fedora 31 (rawhide)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: qscintilla
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS PYTHON38 1732841
TreeView+ depends on / blocked
 
Reported: 2019-07-09 13:32 UTC by Miro Hrončok
Modified: 2019-07-31 22:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-10 18:26:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-07-09 13:32:14 UTC
qscintilla-2.11.2-1.fc31 fails to build in Koji and in Python 3.8 copr:

+ cp -a Python Python2-qt5
+ pushd Python2-qt5
+ /usr/bin/python2 configure.py --verbose --pyqt=PyQt5 --sip=/usr/bin/sip-pyqt5 --qsci-incdir=../Qt5 --qsci-libdir=../Qt5 --no-dist-info
BUILDSTDERR: Fatal Python error: PyQt5.QtCore: Unable to embed qt.conf
BUILDSTDERR: /var/tmp/rpm-tmp.TzvxVo: line 126: 29317 Aborted                 (core dumped) /usr/bin/python2 configure.py --verbose --pyqt=PyQt5 --sip=/usr/bin/sip-pyqt5 --qsci-incdir=../Qt5 --qsci-libdir=../Qt5 --no-dist-info
ns -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -Wall -W -D_REENTRANT -fPIC -DQSCINTILLA_DLL -DQT_NO_DEBUG -DQT_PLUGIN -DQT_DESIGNER_LIB -DQT_UIPLUGIN_LIB -DQT_PRINTSUPPORT_LIB -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_XML_LIB -DQT_CORE_LIB -DQDESIGNER_EXPORT_WIDGETS -I. -I../Qt5 -isystem /usr/include/qt5 -isystem /usr/include/qt5/QtDesigner -isystem /usr/include/qt5/QtUiPlugin -isystem /usr/include/qt5/QtPrintSupport -isystem /usr/include/qt5/QtWidgets -isystem /usr/include/qt5/QtGui -isystem /usr/include/qt5/QtXml -isystem /usr/include/qt5/QtCore -I. -isystem /usr/include/libdrm -I/usr/lib64/qt5/mkspecs/linux-g++ -o qscintillaplugin.o qscintillaplugin.cpp
g++ -c -pipe -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -Wall -W -D_REENTRANT -fPIC -DQSCINTILLA_DLL -DQT_NO_DEBUG -DQT_PLUGIN -DQT_DESIGNER_LIB -DQT_UIPLUGIN_LIB -DQT_PRINTSUPPORT_LIB -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_XML_LIB -DQT_CORE_LIB -DQDESIGNER_EXPORT_WIDGETS -I. -I../Qt5 -isystem /usr/include/qt5 -isystem /usr/include/qt5/QtDesigner -isystem /usr/include/qt5/QtUiPlugin -isystem /usr/include/qt5/QtPrintSupport -isystem /usr/include/qt5/QtWidgets -isystem /usr/include/qt5/QtGui -isystem /usr/include/qt5/QtXml -isystem /usr/include/qt5/QtCore -I. -isystem /usr/include/libdrm -I/usr/lib64/qt5/mkspecs/linux-g++ -o moc_qscintillaplugin.o moc_qscintillaplugin.cpp
rm -f libqscintillaplugin.so
g++ -Wl,-z,relro -Wl,--as-needed -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -shared -o libqscintillaplugin.so qscintillaplugin.o moc_qscintillaplugin.o  -L../Qt5 -L/usr/lib64 -lqscintilla2_qt5 /usr/lib64/libQt5Designer.so /usr/lib64/libQt5PrintSupport.so /usr/lib64/libQt5Widgets.so /usr/lib64/libQt5Gui.so /usr/lib64/libQt5Xml.so /usr/lib64/libQt5Core.so /usr/lib64/libGL.so -lpthread    
~/build/BUILD/QScintilla_gpl-2.11.2
~/build/BUILD/QScintilla_gpl-2.11.2/Python2-qt5 ~/build/BUILD/QScintilla_gpl-2.11.2
RPM build errors:
BUILDSTDERR: error: Bad exit status from /var/tmp/rpm-tmp.TzvxVo (%build)
BUILDSTDERR:     Macro expanded in comment on line 18: %{?fedora} > 28
BUILDSTDERR:     Macro expanded in comment on line 19: %{_datadir}/python3-sip
BUILDSTDERR:     Macro expanded in comment on line 20: %{_bindir}/python3-sip
BUILDSTDERR:     Bad exit status from /var/tmp/rpm-tmp.TzvxVo (%build)


This is not a Python 3.8 issue, but it blocks the Python 3.8 rebuild.

See a regular scratchbuild: https://koji.fedoraproject.org/koji/taskinfo?taskID=36151943

See the logs from Copr Python 3.8 builds:

recent: https://copr-be.cloud.fedoraproject.org/results/@python/python3.8/fedora-rawhide-x86_64/00965376-qscintilla/

all attempts: https://copr.fedorainfracloud.org/coprs/g/python/python3.8/package/qscintilla/

Comment 1 Rex Dieter 2019-07-09 17:53:54 UTC
Fun, python2 configure step is crashing on rawhide. I'll look into possibility of dropping python2 support

Comment 2 Miro Hrončok 2019-07-09 18:08:31 UTC
And the py3 build is fine?

About the removal, see https://fedora.portingdb.xyz/pkg/qscintilla/ - you should probably talk to @kiilerix and @nbecker.

Comment 3 Rex Dieter 2019-07-10 15:46:06 UTC
Appears the only things in f30 that depends on python2-qscintilla is hgview (python2-qscintilla) and tortoisehg (python2-qscintilla-qt5)

hgview has been FTBFS for awhile now and looks like will get orphaned/eol'd soon anyway,  per bug #1675102
tortoisehg appears to be fine, so that'd be an issue.

Yes, python3 builds fine after some minor fixes.

Comment 4 Rex Dieter 2019-07-10 18:26:12 UTC
%changelog
* Wed Jul 10 2019 Rex Dieter <rdieter@fedoraproject.org> - 2.11.2-2
- cleanup, fix qsci docs and %%check logic
- include python dist-info for qt5 builds
- drop python2 on f31+ for now due to FTBFS

opened separate bug #1728837 , to track python2 FTBFS issue(s)


Note You need to log in before you can comment on or make changes to this bug.